Bug 57915 - /usr/local PATH issue
/usr/local PATH issue
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-01 08:57 EST by rdt
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-30 09:30:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of printconf-tui --Xexport (1.48 KB, text/plain)
2002-01-01 09:00 EST, rdt
no flags Details
status.lp (9.45 KB, text/plain)
2002-01-01 09:02 EST, rdt
no flags Details

  None (edit)
Description rdt 2002-01-01 08:57:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i586)

Description of problem:
Using the ljet4 driver fails to send anything to the printer.  Yet pcl
sent raw to the printer and cat ... > /dev/lp0 both work.

Version-Release number of selected component (if applicable):0.3.52-1

Using foomatic-1.1-0.20011103.1

How reproducible:
Always

Steps to Reproduce:
1. lpr anything
2.
3.
	

Actual Results:  nothing

Expected Results:  printing

Additional info:
Comment 1 rdt 2002-01-01 09:00:31 EST
Created attachment 41573 [details]
output of printconf-tui --Xexport
Comment 2 rdt 2002-01-01 09:02:42 EST
Created attachment 41574 [details]
status.lp
Comment 3 rdt 2002-01-03 20:46:39 EST
 it seems to have been an old not-uninstalled binary of gs-7.01 in
/usr/local/bin that was causing my problem. What isn't clear is why it was
It seems to have been an old not-uninstalled binary of gs-7.01 (which
was seriously broken) in /usr/local/bin that was causing my problem. 
What isn't clear is why it was being used.


which gs

gave /usr/bin/gs and 

gs --version

gave gs-6.51 (or 7.03). But 7.01 was mentioned in status.lp; I would guess
there is a faulty path in one of the scripts.
Comment 4 Tim Waugh 2002-01-24 11:42:52 EST
Okay, this seems to come from lpdomatic, which is part of the foomatic package.
Comment 5 Tim Waugh 2002-01-30 08:45:18 EST
Arguably this is the correct behaviour: /usr/local is where package overrides can go.

But I think in this context it's not really all that appropriate.  Fixing..
Comment 6 rdt 2002-01-30 09:30:16 EST
> Arguably this is the correct behaviour: /usr/local is where package
overrides    can go.

The default PATH would appear to be

/bin:/usr/bin:/usr/local/bin:/usr/bin/X11:/usr/X11R6/bin

so /usr/bin/ overrides /usr/local/bin/
Comment 7 Tim Waugh 2002-01-31 09:21:38 EST
Fixed in foomatic-1.1-0.20020130.1.

Note You need to log in before you can comment on or make changes to this bug.